using Modules.Library.Domain.Entities;

namespace Modules.Library.Domain.EntityBuilders;

public abstract class EntityBuilder<T> : Builder<T> where T : Entity
{
    protected Guid? _id;
    protected bool _deleted = false;
    
    public EntityBuilder<T> SetId(Guid id)
    {
        _id = id;
        return this;
    }

    public EntityBuilder<T> Deleted()
    {
        _deleted = true;
        return this;
    }
}